<template>
	<!-- 我的待办 -->
	<view class="my-todo">
		<!-- 搜索区域 -->
		<view class="searchBox">
			<view class="search">
				<u-search @clickIcon="searchIconClick" :clearabled="false" :showAction="false" placeholder="请输入标题" v-model="searchData" shape="square"></u-search>
			</view>
			<!-- 状态选择器 -->
			<view class="data-selet" @click="statusSeletShow = true">
				<view class="content">
					<text>{{ dataSeletText }}</text>
				</view>
				<view class="uni-select__icon"><image src="@/static/icon/select.png" mode="加载失败"></image></view>
			</view>
		</view>

		<!-- 时间搜索区域 -->
		<view class="timeContiner">
			<uni-datetime-picker class="time-picker" type="date" :clear-icon="false" v-model="createTime" @change="startDateChange" placeholder="开始时间" />
			<uni-datetime-picker class="time-picker" type="date" :clear-icon="false" v-model="endTime" @change="endDateChange" placeholder="结束时间" />
		</view>

		<!-- 我的待办卡片区域 -->
		<u-checkbox-group v-model="checkBoxValue" placement="column" @change="checkboxChange" style="margin-bottom:50px">
			<combination-card v-for="(item, index) in daibanData" index="index">
				<template v-slot:top>
					<u-checkbox size="35" :key="item.id" :name="item.id"></u-checkbox>
					<view>
						<text>{{ item.actBusiness.title }}</text>
					</view>
				</template>
				<template v-slot:center>
					<view class="center-container">
						<view class="center-content__one center-margin">
							<view class="">
								<text>任务名称：{{ item.name }}</text>
							</view>
							<view class="">
								<text>所属流程：{{ item.processName }}</text>
							</view>
						</view>
						<view class="center-content__two center-margin">
							<text>发起人：{{ item.actBusiness.createByName }}</text>
						</view>

						<view class="center-content__three">
							<text>创建时间：{{ item.createTime }}</text>
						</view>
					</view>
				</template>
				<template v-slot:bottom>
					<view class="bottom-container">
						<!-- 待办按钮 -->
						<view class="bottom-content__item">
							<view @click="theFormDataClick">
								<image src="@/static/home/jindu.png" mode=""></image>
								<view>申请详情</view>
							</view>
							<view @click="adoptModalShow = true">
								<image src="@/static/home/tongguo.png" mode=""></image>
								<view>通过</view>
							</view>
							<view @click="rejectModalShow = true">
								<image src="@/static/home/bohui.png" mode=""></image>
								<view>驳回</view>
							</view>
							<view @click="approvalHistoryClick">
								<image src="@/static/home/history.png" mode=""></image>
								<view>历史</view>
							</view>
						</view>
					</view>
				</template>
			</combination-card>
		</u-checkbox-group>

		<!-- 底部全选 -->
		<view class="bottomTabbar">
			<view class="bottomTabbar_checkBox">
				<u-checkbox-group size="35" v-model="totalSelectValue" placement="column" @change="totalSelectChange">
					<u-checkbox labelSize="13px" label="全选" name="tatalSelect"></u-checkbox>
				</u-checkbox-group>
			</view>
			<view class="bottomTabbar_button">
				<u-button :plain="true" type="primary" text="批量驳回" @click="rejectModalShow = true"></u-button>
				<u-button type="primary" text="批量通过" @click="adoptModalShow = true"></u-button>
			</view>
		</view>

		<!-- 通过模态框 -->
		<view class="adoptModal">
			<u-modal width="684rpx" :show="adoptModalShow" title="审批通过" :showCancelButton="true" @confirm="adoptModalConfirm" @cancel="adoptModalCancel">
				<view class="slot-content"><u--textarea v-model="adoptModalContent" placeholder="请输入审批意见"></u--textarea></view>
			</u-modal>
		</view>

		<!-- 驳回模态框 -->
		<view class="rejectModal">
			<u-modal width="684rpx" :show="rejectModalShow" title="驳回" :showCancelButton="true" @confirm="rejectModalConfirm" @cancel="rejectModalCancel">
				<view class="slot-content">
					<u--textarea v-model="rejectModalContent" placeholder="请输入审批意见"></u--textarea>
					<view class="rejectBack">
						<view class="rejectBack-title"><text>驳回至</text></view>
						<view class="data-selet" @click="statusSeletShow = true">
							<view class="content">
								<text>{{ dataSeletText }}</text>
							</view>
							<view class="uni-select__icon"><image src="@/static/icon/select.png" mode="加载失败"></image></view>
						</view>
					</view>
				</view>
			</u-modal>
		</view>
		
		<!-- 批量驳回模态框 -->
		<!-- <view class="rejectModal">
			<u-modal width="684rpx" :show="rejectModalShow" title="驳回" :showCancelButton="true" @confirm="rejectModalConfirm" @cancel="rejectModalCancel">
				<view class="slot-content">
					<u--textarea v-model="rejectModalContent" placeholder="请输入审批意见"></u--textarea>
					<view class="rejectBack">
						<view class="rejectBack-title"><text>驳回至</text></view>
						<view class="data-selet" @click="statusSeletShow = true">
							<view class="content">
								<text>{{ dataSeletText }}</text>
							</view>
							<view class="uni-select__icon"><image src="@/static/icon/select.png" mode="加载失败"></image></view>
						</view>
					</view>
				</view>
			</u-modal>
		</view> -->
		
		<!-- 批量通过模态框 -->
		<!-- <view class="adoptModal">
			<u-modal width="684rpx" :show="adoptModalShow" title="审批通过" :showCancelButton="true" @confirm="adoptModalConfirm" @cancel="adoptModalCancel">
				<view class="slot-content"><u--textarea v-model="adoptModalContent" placeholder="请输入审批意见"></u--textarea></view>
			</u-modal>
		</view> -->
		
		<!-- 选择器 -->
		<u-picker @cancel="statusSeletShow = false" @confirm="statusConfirm" :show="statusSeletShow" :columns="statusList"></u-picker>
		
		<!-- 菜单栏 -->
		<popup-menu @menuShow="menushow" ref="menuRef"></popup-menu>
	</view>
</template>

<script>
import popupMenu from '@/components/common/popup-menu/popup-menu.vue';
import combinationCard from '@/components/common/combination-card/combination-card.vue';
export default {
	data() {
		return {
			// 条件搜索
			searchData: '',
			dataSeletText: '请选择状态',
			// 时间选择
			createTime: '',
			endTime: '',
			// 选择器
			statusSeletShow: false,
			statusList: [['中国', '美国', '日本']],
			// 复选框
			checkBoxValue:[],
			totalSelectValue:[],
			// 通过模态框
			adoptModalShow: false,
			adoptModalContent: '',
			// 驳回模态框
			rejectModalShow: false,
			rejectModalContent: '',
			menuShow:false,
			// data
			daibanData: [],
			// 待办
			todoParams: {
				pageNumber: 1,
				pageSize: 10
			},
		};
	},
	onShow(){
		if(this.menuShow == true){
			this.$refs.menuRef.menuClick()
		}
		this.init();
	},
	// 点击导航栏菜单后
	onNavigationBarButtonTap(e) {
		// console.log(e);
		this.$refs.menuRef.menuClick()
	},
	components: {
		combinationCard,
		popupMenu
	},
	methods: {
		init(){
			this.todoList();
		},
		// 待办列表
		todoList(){
			this.$reqGet('todoList', this.todoParams).then(res => {
				if (res.code === 0) {
					this.daibanData = res.data.content;
				}
			});
		},
		menushow(e){
			this.menuShow = e;
		},
		// 时间选择器
		startDateChange() {
			this.queryRealTimeShippingData.startDate = '';
			this.$nextTick(() => {
				console.log(this.queryRealTimeShippingData);
				this.realTimeShipping();
			});
		},
		endDateChange() {
			this.queryRealTimeShippingData.endDate = '';
			this.$nextTick(() => {
				console.log(this.queryRealTimeShippingData);
				this.realTimeShipping();
			});
		},
		// 搜索
		searchIconClick() {
			console.log(1111, this.searchData);
		},
		// 状态
		statusConfirm(a) {
			this.statusSeletShow = false;
			console.log(a);
		},
		// 复选框
		checkboxChange(n){
			console.log('checkbox',n);
		},
		totalSelectChange(n){
			if(n[0] == 'tatalSelect'){
				this.daibanData.forEach(item=>{
					this.totalSelectValue.push(item.id)
				})
				this.checkBoxValue = this.totalSelectValue
			} else {
				this.checkBoxValue = [] 
			}
			console.log('totalSelect',n);
		},
		// 表单数据
		theFormDataClick() {
			uni.navigateTo({
				url: '/pages/the-form-data/the-form-data'
			});
		},
		// 审批历史
		approvalHistoryClick() {
			uni.navigateTo({
				url: '/pages/approval-history/approval-history'
			});
		},
		// 通过模态框
		adoptModalConfirm() {
			this.adoptModalShow = false;
		},
		adoptModalCancel() {
			this.adoptModalShow = false;
		},
		// 驳回模态框
		rejectModalConfirm() {
			this.rejectModalShow = false;
		},
		rejectModalCancel() {
			this.rejectModalShow = false;
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.my-todo {
	// 搜索区域
	.searchBox {
		width: 91%;
		display: flex;
		justify-content: space-between;
		margin: vww(16) auto;
		.search {
			width: vww(160);
			border: 1px solid #d1d1d1;
			border-radius: vww(4);
			.u-search {
				.u-search__content {
					height: 38px;
					background-color: #ffffff !important;
					.u-search__content__icon {
						width: 10px;
						height: 5.5px;
					}
					.u-search__content__input {
						background-color: #ffffff !important;
						.uni-input-placeholder{
							color:#CCCCCC!important;
						}
					}
				}
			}
		}
		// 下拉菜单
		.data-selet {
			border: 1px solid #d1d1d1;
			border-radius: 4px;
			width: vww(160);
			// width: 100%;
			height: 40px;
			display: flex;
			align-items: center;
			font-size: 13px;
			color: #CCCCCC;
			.uni-select__icon {
				display: flex;
				align-content: center;
				margin: 0 10px;
				image {
					width: 10px;
					height: 5.5px;
				}
			}
			.content {
				margin-left: vww(8);
				width: vww(150);
			}
		}
	}

	// 时间搜索
	.timeContiner {
		width: 91%;
		margin: 0 auto vww(16);
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		.uni-date {
			width: vww(160);
			.uni-date-editor {
				.uni-date-editor--x  {
					.uni-date-x {
						.uni-date__x-input {
							.uni-input-wrapper{
								.uni-input-placeholder{
									color:#CCCCCC;
									font-size: vww(13);
								}
							}
						}
					}
				}
				.uni-date-x--border{
					border: 1px solid #d1d1d1!important;
				}
			}
		}
	}

	// 卡片中间
	.center-container {
		display: flex;
		flex-direction: column;
		.center-content__one {
			display: flex;
			view {
				width: 50%;
			}
		}
		.center-content__two {
			display: flex;
			// margin: vww(10) 0;
			view {
				width: 50%;
			}
		}
		.center-content__three {
			display: flex;
			view {
				width: 50%;
			}
		}
		.center-content__four {
		}
	}
	// 中间部分样式
	.center-margin {
		margin-bottom: vww(16);
	}

	// 卡片底部
	.bottom-container {
		.bottom-content__item {
			display: flex;
			justify-content: space-around;
			view {
				display: flex;
				justify-content: center;
				align-content: center;
				margin-right: vww(10);
				&:nth-last-child() {
					margin-right: 0;
				}
				view {
					display: inline-block;
				}
				image {
					width: vww(16);
					height: vww(16);
					margin-right: vww(4);
				}
			}
		}
	}

	// 底部
	.bottomTabbar {
		position: fixed;
		bottom: 0;
		width: 100%;
		height: vww(48);
		display: flex;
		align-items: center;
		justify-content: space-between;
		background-color: #f5f5f5;
		.bottomTabbar_checkBox {
			margin-left: vww(16);
			.u-checkbox-group {
				.u-checkbox {
				}
			}
		}
		.bottomTabbar_button {
			display: flex;
			.u-button {
				font-size: 13px;
				margin-right: vww(14);
				width: vww(90);
				height: vww(32);
			}
		}
	}

	// 通过模态框
	.adoptModal {
		// width:100%;
		// height:vww(244);
		.slot-content {
			.u-textarea {
				width: vww(280);
				height: vww(90) !important;
				.uni-textarea-wrapper {
					height: vww(90) !important;
				}
			}
		}
	}

	// 驳回模态框
	.rejectModal {
		.slot-content {
			display: inline-block;
			.u-textarea {
				width: vww(280);
				height: vww(90) !important;
				.uni-textarea-wrapper {
					height: vww(90) !important;
				}
			}
			
			.rejectBack {
				margin-top:vww(24);
				.rejectBack-title {
					font-size: vww(13);
				}
				// 下拉菜单
				.data-selet {
					border: 1px solid #d1d1d1;
					border-radius: 4px;
					width: vww(300);
					height: 40px;
					display: flex;
					align-items: center;
					font-size: 13px;
					color: #666;
					margin-top:vww(8);
					.uni-select__icon {
						display: flex;
						align-content: center;
						margin: 0 10px;
						image {
							width: 10px;
							height: 5.5px;
						}
					}
					.content {
						margin-left: vww(8);
						width: vww(280);
					}
				}
			}
		}
	}
	
	
}
</style>
